package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfFinancePlBudgetM;
import com.artfess.base.manager.BaseManager;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 财务--利润预算填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinancePlBudgetMManager extends BaseManager<QfFinancePlBudgetM> {

    boolean insertInfo(QfFinancePlBudgetM t);

    boolean updateInfo(QfFinancePlBudgetM t);

    boolean updateStatus(QfFinancePlBudgetM t);

    boolean importExcel(List<HeaderNode> list, String mainId);
}
